PHP Manual
Prev |  | Next

# ncurses_newwin

(PHP 4 >= 4.1.0, PHP 5)

ncurses_newwin -- Create a new window

## Description

resource ncurses_newwin ( int rows, int cols, int y, int x )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Creates a new window to draw elements in.

When creating additional windows, remember to use ncurses_getmaxyx() to check for available space, as terminal size is individual and may vary.

## Parameters

`rows`

  Number of rows

`cols`

  Number of columns

`y`

  y-ccordinate of the origin

`x`

  x-ccordinate of the origin

## Return Values

Returns a resource ID for the new window.

Prev | Home | Next
ncurses_newpad | Up | ncurses_nl